# NOTE: Derived from blib/lib/Acme/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Acme::Util;

#line 591 "blib/lib/Acme/Util.pm (autosplit into blib/lib/auto/Acme/Util/_dquote.al)"
# =head2 dquote
# 
# =head3 usage
# 
#     my $double_quoted = dquote($string);
# 
# =head3 description
# 
# Returns (a copy of) its argument surrounded by double quotes.
# 
# Any internal double quotes encountered inside $string are escaped with a backslash.
# 
# =cut

# PRIVATE METHOD

sub _dquote ($) {
    my $text = shift;
    $text =~ s/"/\\"/g;
    return sprintf '"%s"', $text;
}

# end of Acme::Util::_dquote
1;
