# NOTE: Derived from blib/lib/Acme/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Acme::Util;

#line 959 "blib/lib/Acme/Util.pm (autosplit into blib/lib/auto/Acme/Util/_reader_die.al)"
#    For more information on the relative performance of
#    FileHandle v local (*FH) (local is used in 'vanilla' readfile())
#    vide:
#
#	http://groups.google.com/groups?
#	hl=en&frame=right&th=f6035f6588fa7bfe&seekm=tbaf8dq702.fsf%40blue.sea.net#s
#
#    Unfortunately, local() won't work in reader() (as a way of creating
#    anonymous, temporary filehandles) because close() is called automatically
#    on such filehandles at the end of the scope. The end of the scope
#    means the end of the call to reader() or the end of a (single)
#    call to $generator->() - neither of which correspond to the end of days
#    for the filehandle as far as the user is concerned.
#
#    What's needed is a solution similar to Alexander Alexandrescu's
#    ScopeGuard, and that's what's implemented here:
#
#	http://www.cuj.com/experts/1812/alexandr.htm?topic=experts
#

# die and warn handlers for reader: saves allocating a closure every time
sub _reader_die  { die ('reader: ' . shift) }
# end of Acme::Util::_reader_die
1;
