# NOTE: Derived from blib/lib/Acme/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Acme::Util;

#line 1192 "blib/lib/Acme/Util.pm (autosplit into blib/lib/auto/Acme/Util/_squote.al)"
# =head2 squote
# 
# =head3 usage
# 
#     my $single_quoted = squote($string);
# 
# =head3 description
# 
# Returns (a copy of) its argument surrounded by single quotes.
# 
# Any internal single quotes encountered inside $string are escaped with a backslash.
# 
# =cut
# 
# PRIVATE METHOD

sub _squote ($) {
    my $text = shift;
    $text =~ s/'/\\'/g;
    return sprintf "'%s'", $text;
}

# end of Acme::Util::_squote
1;
