# NOTE: Derived from blib/lib/Acme/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Acme::Util;

#line 509 "blib/lib/Acme/Util.pm (autosplit into blib/lib/auto/Acme/Util/csv.al)"
sub csv ($$) {
    my ($fields, $arrayref) = @_;

    my $ref_arg1 = ref $fields || '';
    my $ref_arg2 = ref $arrayref || '';

    die ("csv: invalid arg 1: expected ref to an ARRAY of field names: got $ref_arg1")
	unless (arrayref $fields);
    die ("csv: invalid arg 2: expected ref to an ARRAY of ARRAY or HASH refs: " .
	 "got $ref_arg2") unless (arrayref $arrayref);

    my @out = join (',', map { _dquote $_ } @$fields);

    for my $ref (@$arrayref) {
	my @row = ();

	if (arrayref $ref) {
	    push (@row, $ref->[$_]) for (0 .. $#$fields);
	} elsif (hashref $ref) {
	    push (@row, $ref->{$_}) for (@$fields);
	} else {
	    my $reftype = ref $ref || '';
	    die ("csv: invalid arg 2: expected arg 2 element to be an ARRAY or HASH ref, got: '$reftype'");
	}

	push @out, join (',', map { _dquote $_ } @row);
    }

    return wantarray ? @out : join ($/, @out);
}

# end of Acme::Util::csv
1;
