# NOTE: Derived from blib/lib/Acme/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Acme::Util;

#line 1448 "blib/lib/Acme/Util.pm (autosplit into blib/lib/auto/Acme/Util/xmlparse.al)"
sub xmlparse ($$) {
    my ($parser, $xml) = @_;
    my $file = '';
    my $parsed = 1;

    {
        local $SIG{__DIE__} = sub {
            my $err = shift;
            confess ("xmlparse: Can't parse $file: $err");
        };

        local $SIG{__WARN__} = sub {
            my $err = shift;
            carp ("xmlparse $file: $err");
        };

        if ($xml =~ /^\s*</) {
            $file = 'xml';
            $parser->parse($xml);
        } elsif (-s $xml) {
            $file = $xml;
            $parser->parsefile($xml);
        } else {
            $parsed = 0;
        }
    }

    croak ("can't find file: $xml: $!") unless ($parsed);
}

# end of Acme::Util::xmlparse
1;
